Sets static property value

- « ReflectionClass::resetAsLazyProxy

- ReflectionClass::__toString »

- PHP Manual
- ReflectionClass
- Sets static property value

# ReflectionClass::setStaticPropertyValue

(PHP 5 >= 5.1.2, PHP 7, PHP 8)

ReflectionClass::setStaticPropertyValue — Sets static property value

### Description

public ReflectionClass::setStaticPropertyValue(string `$name`, mixed `$value`): void

Sets static property value.

### Parameters

`name`

  Property name.

`value`

  New property value.

### Return Values

No value is returned.

### See Also

- ReflectionClass::getStaticPropertyValue() - Gets static property value